package edu.ntnu.stud.chaosgame.model.handling;

import edu.ntnu.stud.chaosgame.game.ChaosGameDescription;
import edu.ntnu.stud.chaosgame.model.Vector2D;
import java.util.Random;

/**
 * Class representing the chaos game.
 */
public class ChaosGame {

  /**
   * The canvas for this ChaosGame
   */
  private ChaosCanvas canvas;

  /**
   * The chaos game description.
   */
  private ChaosGameDescription description;

  /**
   * The description for this ChaosGame
   */
  // private ChaosGameDescription description;

  /**
   * The current point in the chaos game.
   */
  private Vector2D currentPoint;

  /**
   * The random number generator for the chaos game.
   */
  public Random random;

  public ChaosGame(ChaosGameDescription description, ChaosCanvas canvas) {
    this.canvas = canvas;
    this.description = description;
  }

}
